<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminItems.class.php');

template:
{
	AdminItems::tplSection('item_replace');
}

update:
{
	Admin::displayOptions('album');

	AdminItems::replace();
}

get_data:
{
	AdminItems::getInfos();

	AdminItems::getBrowseItems();

	$types = Item::getTypesSupported(Template::$data['item']['type']);
	$text_limits = sprintf(__('Formats acceptés : %s.'), implode(', ', $types['text']));
	$text_limits .= ' ' . sprintf(
		__('Poids maximum : %s.'),
		L10N::formatFilesize(Utility::getUploadMaxFilesize())
	);
	if (Template::$data['item']['type'] == 'image')
	{
		$text_limits .= ' ' . sprintf(
			__('Dimensions maximum : %s x %s pixels.'),
			Config::$params['upload_maxwidth'],
			Config::$params['upload_maxheight']
		);
	}
	Template::set('upload',
	[
		'filetypes' => $types['mime'],
		'text_limits' => $text_limits
	]);
}
?>